#
# This file is part of Tk-ObjScanner
#
# This software is copyright (c) 1997-2004,2007,2014,2017,2023 by Dominique Dumont.
#
# This is free software; you can redistribute it and/or modify it under
# the same terms as the Perl 5 programming language system itself.
#
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.030.
use strict;
use warnings;

use 5.016;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "a GUI to scan any perl data structure or object",
  "AUTHOR" => "Dominique Dumont",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Tk-ObjScanner",
  "EXE_FILES" => [
    "bin/data-viewer"
  ],
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.016",
  "NAME" => "Tk::ObjScanner",
  "PREREQ_PM" => {
    "B::Deparse" => 0,
    "Carp" => 0,
    "Data::Dumper" => 0,
    "Getopt::Long" => 0,
    "JSON" => 0,
    "Path::Tiny" => 0,
    "Scalar::Util" => "1.01",
    "Tk" => 0,
    "Tk::Adjuster" => 0,
    "Tk::Derived" => 0,
    "Tk::Frame" => 0,
    "Tk::HList" => 0,
    "Tk::Menubutton" => 0,
    "Tk::ROText" => 0,
    "YAML::PP" => 0
  },
  "TEST_REQUIRES" => {
    "Benchmark" => 0,
    "FileHandle" => 0,
    "Math::BigInt" => 0,
    "Test::More" => 0,
    "Tie::Hash" => 0,
    "Tie::Scalar" => 0
  },
  "VERSION" => "2.018",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "B::Deparse" => 0,
  "Benchmark" => 0,
  "Carp" => 0,
  "Data::Dumper" => 0,
  "FileHandle" => 0,
  "Getopt::Long" => 0,
  "JSON" => 0,
  "Math::BigInt" => 0,
  "Path::Tiny" => 0,
  "Scalar::Util" => "1.01",
  "Test::More" => 0,
  "Tie::Hash" => 0,
  "Tie::Scalar" => 0,
  "Tk" => 0,
  "Tk::Adjuster" => 0,
  "Tk::Derived" => 0,
  "Tk::Frame" => 0,
  "Tk::HList" => 0,
  "Tk::Menubutton" => 0,
  "Tk::ROText" => 0,
  "YAML::PP" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
